- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  vars:
    is_name: ssp
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: ssp
    bc_cpu_limit: 200m
    bc_cpu_request: 200m
    bc_forcepull: "false"
    bc_fromimage: "php:{{ php_version }}-{{ php_tag }}"
    bc_memory_limit: 2Gi
    bc_memory_request: 1536Mi
    bc_ref: "{{ ssp_tag }}"
    bc_secret: "{{ ssp_clone_secret | default(False) }}"
    bc_source: "{{ ssp_image_source }}"
    bc_toimage: ssp
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
